mdadm/test: get rid of tests/check

The tests/check can be removed due to check()
in new 'test' has covered various checking.

Signed-off-by: Zhilong Liu <zlliu@suse.com>
Signed-off-by: Jes Sorensen <jsorensen@fb.com>
This commit is contained in:
Zhilong Liu 2017-08-28 17:24:30 +08:00 committed by Jes Sorensen
parent a6994ccc23
commit d3fba6633e
1 changed files with 0 additions and 35 deletions

View File

@ -1,35 +0,0 @@
case $1 in
raid* | linear )
grep -s "active $1 " /proc/mdstat > /dev/null || {
echo >&2 "ERROR active $1 not found" ; cat /proc/mdstat ; exit 1;}
;;
resync | recovery )
sleep 0.1
grep -s $1 /proc/mdstat > /dev/null || {
echo >&2 ERROR no $1 happening; cat /proc/mdstat; exit 1; }
;;
nosync )
sleep 0.5
grep -s 're[synccovery]* =' > /dev/null /proc/mdstat && {
echo >&2 "ERROR resync or recovery is happening!"; cat /proc/mdstat ; exit 1; }
;;
wait )
sleep 0.1
while grep 're[synccovery]* =' > /dev/null /proc/mdstat
do sleep 2;
done
;;
state )
grep -s "blocks.*\[$2\]\$" /proc/mdstat > /dev/null || {
echo >&2 "ERROR state $2 not found!"; cat /proc/mdstat ; exit 1; }
sleep 0.5
;;
* ) echo >&2 ERROR unknown check $1 ; exit 1;
esac
exit 0